## rock-master-20.01-control-joint-dispatcher 0.20180105

=== src/CMakeLists.txt ===
rock_library(joint_dispatcher
    SOURCES Output.cpp Input.cpp SingleDispatch.cpp Dispatcher.cpp StateAggregator.cpp
    HEADERS Output.hpp Input.hpp SingleDispatch.hpp Dispatcher.hpp JointSelection.hpp StateAggregator.hpp
    DEPS_PKGCONFIG base-types)

=== test/CMakeLists.txt ===
rock_testsuite(test suite.cpp
   test_JointSelection.cpp
   test_Output.cpp
   test_SingleDispatch.cpp DEPS joint_dispatcher)

=== debian/changelog ===
rock-master-20.01-control-joint-dispatcher (0.20180105-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-control/control-joint_dispatcher.git
  * branch: refs/heads/master
  * commit: 6f05c56471cc7f7ed24e249f9766d038e4d5f5e7
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 13 Feb 2020 06:13:00 +0100

=== debian/control ===
Source: rock-master-20.01-control-joint-dispatcher
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-base-cmake, rock-master-20.01-base-types
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-control-joint-dispatcher
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, rock-master-20.01-base-types, cmake
Description: Implementation of mux/demux logic for base::samples::Joints and base::commands::Joints
 Generic implementation of a N-to-M mapping for base::samples::Joints. It
  allows to define arbitrary dispatches of joints, either by name or by
  index, and manage the input->output process.
